# Create

Launch stage: Public Preview

`POST /api/2.0/lineage-tracking/external-metadata`

Creates a new external metadata object in the parent metastore if the caller is a metastore admin or has the **CREATE_EXTERNAL_METADATA** privilege.
 Grants **BROWSE** to all account users upon creation by default.

API scopes: unity-catalog

## Request body

- `external_metadata` (object, optional)
  - `name` (string, optional)
    Name of the external metadata object.
    Example: `security_events_stream`
  - `system_type` (string, optional)
    Type of external system.
    Possible values: `SYSTEM_TYPE_UNSPECIFIED`, `OTHER`, `TABLEAU`, `POWER_BI`, `LOOKER`, `KAFKA`, `SAP`, `ORACLE`, `SALESFORCE`, `WORKDAY`, `MYSQL`, `POSTGRESQL`, `MICROSOFT_SQL_SERVER`, `SERVICENOW`, `AMAZON_REDSHIFT`, `AZURE_SYNAPSE`, `SNOWFLAKE`, `GOOGLE_BIGQUERY`, `MICROSOFT_FABRIC`, `MONGODB`, `TERADATA`, `CONFLUENT`, `DATABRICKS`, `STREAM_NATIVE`
  - `entity_type` (string, optional)
    Type of entity within the external system.
    Example: `Topic`
  - `url` (string, optional)
    URL associated with the external metadata object.
    Example: `https://kafka.com/12345`
  - `description` (string, optional)
    User-provided free-form text description.
    Example: `A stream of security related events in the critical services.`
  - `columns` (array of string, optional)
    List of columns associated with the external metadata object.
  - `properties` (object, optional)
    A map of key-value properties attached to the external metadata object.
  - `owner` (string, optional)
    Owner of the external metadata object.
    Example: `data-team@company.com`
  - `metastore_id` (string, optional)
    Unique identifier of parent metastore.
  - `create_time` (string, optional)
    Time at which this external metadata object was created.
  - `created_by` (string, optional)
    Username of external metadata object creator.
  - `update_time` (string, optional)
    Time at which this external metadata object was last modified.
  - `updated_by` (string, optional)
    Username of user who last modified external metadata object.
  - `id` (string, optional)
    Unique identifier of the external metadata object.
    Example: `12345678-abcd-4ef5-9012-3456789abcdf`

## Returns

Returns the ExternalMetadata object.

## Request

```json
{
  "columns": [
    "type",
    "message",
    "details",
    "date",
    "time"
  ],
  "description": "A stream of security related events in the critical services.",
  "entity_type": "Topic",
  "name": "security_events_stream",
  "properties": {
    "compression.enabled": "true",
    "compression.format": "zstd",
    "topic": "prod.security.events.raw"
  },
  "system_type": "KAFKA",
  "url": "https://kafka.com/12345"
}
```

## Response

```json
{
  "columns": [
    "type",
    "message",
    "details",
    "date",
    "time"
  ],
  "create_time": 1715802661000,
  "created_by": "john.doe@company.com",
  "description": "A stream of security related events in the critical services.",
  "entity_type": "Topic",
  "id": "12345678-abcd-4ef5-9012-3456789abcdf",
  "metastore_id": "12345678-abcd-4ef5-9012-3456789abcde",
  "name": "security_events_stream",
  "owner": "data-team@company.com",
  "properties": {
    "compression.enabled": "true",
    "compression.format": "zstd",
    "topic": "prod.security.events.raw"
  },
  "system_type": "KAFKA",
  "update_time": 1715802661000,
  "updated_by": "john.doe@company.com",
  "url": "https://kafka.com/12345"
}
```

